package blosum;

public class AminoAcid {
	
	/**
	 * Method indexOfAmm 
	 *
	 * @param x char represeting an amino acid.
	 *
	 * @return the index of the column/row of the matrix containing x.
	 *
	 */
	public static int indexOfAmin(char x) throws Exception{
		int n = -1;
		if ((x == ' ') || (x == '-'))  n = 0;
		if ((x == 'A') || (x == 'a'))  n = 1;
		if ((x == 'R') || (x == 'r'))  n = 2;
		if ((x == 'N') || (x == 'n'))  n = 3;
		if ((x == 'D') || (x == 'd'))  n = 4;
		if ((x == 'C') || (x == 'c'))  n = 5;
		if ((x == 'Q') || (x == 'q'))  n = 6;
		if ((x == 'E') || (x == 'e'))  n = 7;
		if ((x == 'G') || (x == 'g'))  n = 8;
		if ((x == 'H') || (x == 'h'))  n = 9;
		if ((x == 'I') || (x == 'i'))  n = 10;
		if ((x == 'L') || (x == 'l'))  n = 11;
		if ((x == 'K') || (x == 'k'))  n = 12;
		if ((x == 'M') || (x == 'm'))  n = 13;
		if ((x == 'F') || (x == 'f'))  n = 14;
		if ((x == 'P') || (x == 'p'))  n = 15;
		if ((x == 'S') || (x == 's'))  n = 16;
		if ((x == 'T') || (x == 't'))  n = 17;
		if ((x == 'W') || (x == 'w'))  n = 18;
		if ((x == 'Y') || (x == 'y'))  n = 19;
		if ((x == 'V') || (x == 'v'))  n = 20;
	
        if (n < 0) throw new Exception(String.valueOf(x)+" is not an amino acid.");	
		return n;
	}	
}
