package blosum;

/**
* @(#)ComputationListener.java
*
* Interface to implement if you intend to listen to the termination of the metrics computation.
*
* @author Pussini Marco, Marica Rigo
*/
public interface ComputationListener {
	
	/**
     * Fired when the Computation terminates.
     *
     * @param results The Computation.Results of the computation
     */
	public void computationTerminated(Computation.Results results);

}