package blosum;

public class Matrix {
	
	private float [][] matrix;
	private final int l = 20;	
	
	/**
	 * Method Matrix create a float matrix 20 x 20.
	 */
	public Matrix() {
		matrix = new float[l][l];
		for (int i = 0; i<l; i++) {
			for (int j = 0; j<l; j++) {
				matrix[i][j] = 0;
		    }
	    }
	}	
	
	/**
	 * Method setValue set the value of matrix with x at row i and column j.
	 *
	 * @param i row
	 * @param j column
	 * @param x float value.
	 *
	 */
	public void setValue(int i, int j, float x) {
		matrix[i][j] = x;
	}

	/**
	 * Method getValue return the float value at row i and column j of matrix.
	 * @param i row
	 * @param j column
	 *
	 * @return matrix[i][j]
	 *
	 */
	public float getValue(int i, int j) {
		return matrix[i][j];
	}
}
