package blosum.utils;

/**
* @(#)SequenceLoaderListener.java
*
* Interface imlemented from the classes who wants to listen to the loading of the sequences
*
* @author Pussini Marco, Marica Rigo
*/
public interface SequenceLoaderListener {

	/**
	* Fired when the Sequence has benn loaded from the SequenceLoader
	*
	* @param source The SequenceLoader that fired the event
	*/
	public void sequenceChoosed(SequenceLoader source);

}
